[[manager.prependd_keymap]]
on  = "<C-n>"
run = '''
	shell 'dragon -x -i -T "$1"' --confirm
'''

[[manager.prepend_keymap]]
on  = "y"
run = [ '''
	shell 'echo "$@" | xclip -i -selection clipboard -t text/uri-list' --confirm
''', "yank" ]

[[manager.prepend_keymap]]
on   = [ "m", "a" ]
run  = "plugin archivemount --args=mount"
desc = "Mount selected archive"

[[manager.prepend_keymap]]
on   = [ "m", "u" ]
run  = "plugin archivemount --args=unmount"
desc = "Unmount and save changes to original archive"

[[manager.prepend_keymap]]
on = ["R", "p", "p"]
run = "plugin sudo --args='paste'"
desc = "sudo paste"

# sudo cp/mv --force
[[manager.prepend_keymap]]
on = ["R", "P"]
run = "plugin sudo --args='paste -f'"
desc = "sudo paste"

# sudo mv
[[manager.prepend_keymap]]
on = ["R", "r"]
run = "plugin sudo --args='rename'"
desc = "sudo rename"

# sudo ln -s (absolute-path)
[[manager.prepend_keymap]]
on = ["R", "p", "l"]
run = "plugin sudo --args='link'"
desc = "sudo link"

# sudo ln -s (relative-path)
[[manager.prepend_keymap]]
on = ["R", "p", "L"]
run = "plugin sudo --args='link -r'"
desc = "sudo link relative path"

# sudo touch/mkdir
[[manager.prepend_keymap]]
on = ["R", "a"]
run = "plugin sudo --args='create'"
desc = "sudo create"

# sudo trash
[[manager.prepend_keymap]]
on = ["R", "d"]
run = "plugin sudo --args='remove'"
desc = "sudo trash"

# sudo delete
[[manager.prepend_keymap]]
on = ["R", "D"]
run = "plugin sudo --args='remove -P'"
desc = "sudo delete"
